Projects — Docs - Rocketeers app

  [ Rocketeers ](/)   

[Login](https://rocketeersapp.com/login) 

  Documentation menu   

On this page

 [Docs](https://rocketeersapp.com/docs) / [Using the API](https://rocketeersapp.com/docs/api)

    Copy as Markdown 

Projects
========

List the projects belonging to a team.

1. [Endpoint](#content-endpoint)
2. [Query parameters](#content-query-parameters)
3. [Example request](#content-example-request)
4. [Example response](#content-example-response)

Returns the projects belonging to a team.

[\#](#content-endpoint "Permalink")Endpoint
-------------------------------------------

 ```
GET /api/{team}/projects

```

Required ability: `projects:read`

[\#](#content-query-parameters "Permalink")Query parameters
-----------------------------------------------------------

 Parameter Type Default Maximum Description  `per_page` integer 20 50 Number of objects per page. `page` integer 1 N/A The page to retrieve.[\#](#content-example-request "Permalink")Example request
---------------------------------------------------------

 ```
curl "https://rocketeersapp.com/api/your-team/projects?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

```

[\#](#content-example-response "Permalink")Example response
-----------------------------------------------------------

 ```
{
  "data": [
    {
      "id": 1,
      "name": "Apollo",
      "slug": "apollo",
      "client_id": 4,
      "created_at": "2026-01-15T09:30:00+00:00"
    },
    {
      "id": 2,
      "name": "Gemini",
      "slug": "gemini",
      "client_id": 7,
      "created_at": "2026-02-03T14:05:00+00:00"
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/projects?page=1",
    "last": "https://rocketeersapp.com/api/your-team/projects?page=3",
    "prev": null,
    "next": "https://rocketeersapp.com/api/your-team/projects?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 3,
    "per_page": 20,
    "to": 20,
    "total": 48,
    "path": "https://rocketeersapp.com/api/your-team/projects"
  },
  "results": 20,
  "served_in": "11.07ms"
}

```

[ Previous  Error handling](https://rocketeersapp.com/docs/api/error-handling) [ Next   Finances](https://rocketeersapp.com/docs/api/finances)
